%global momorel 5
Summary: French man pages from the Linux Documentation Project.
Name: man-pages-fr
Version: 0.9.8
Release: %{momorel}m
Patch0: man-fr-rofffix.patch
License: GPL
Group: Documentation
Source: ftp://ftp.lip6.fr/pub/linux/french/docs/man-fr-%{version}.tar.gz

#NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch

%description
Manual pages from the Linux Documentation Project, translated into
French.

%prep
%setup -q -n man-fr
%patch0 -p1

%build
rm -f man1/{dnsdomainname,hostname}.1
rm -f man5/shadow.5
rm -f man8/{adduser,useradd,userdel,usermod}.8

%install
rm -fr %{buildroot}
mkdir -p %{buildroot}%{_mandir}/fr
for n in 1 2 3 4 5 6 7 8 9 n; do
	mkdir %{buildroot}%{_mandir}/fr/man$n
done

# avoid conflict with cups
rm -f man1/lpq.1
rm -f man1/lpr.1
rm -f man1/lprm.1

for i in man?; do 
    install -m 644 $i/* %{buildroot}%{_mandir}/fr/$i; 
done

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc LISEZ_MOI changements
%{_mandir}/fr/*/*

%changelog
* Mon Apr  5 2004 Toru Hoshina <t@momonga-linux.org>
- (0.9.8-5m)
- avoid conflict with cups.

* Wed Nov 12 2003 zunda <zunda at freeshell.org>
- (0.9.8-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)
- the second section of LISEZ_MOI specifies the pages are under GPL

* Tue Jun 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.8-3m)
- remove conflicts

* Mon Jun 16 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.8-2m)
- stop NoSource(original file is corrupted)

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.8-1m)
- update to 0.9.8

* Sat Jan 18 2003 TAKAHASHI Tamotsu
- (0.9.7-1m)

* Mon Nov 12 2001 Shingo Akagaki <dora@kondara.org>
- mada nigirisugi

* Thu Nov  8 2001 Shingo Akagaki <dora@kondara.org>
- nigirisugi

* Mon Aug 13 2001 Trond Eivind Glomsr?<teg@redhat.com> 0.9-5
- Rebuild. This should fix #51685

* Thu Aug  2 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Own %%{_mandir}/fr
- s/Copyright/License/

* Sun Apr  8 2001 Trond Eivind Glomsr?<teg@redhat.com>
- Remove dnsdomainname.1 and hostname.1, they're now part of net-tools

* Tue Apr  3 2001 Trond Eivind Glomsr?<teg@redhat.com>
- fixes to the roff sources

* Tue Dec 19 2000 Trond Eivind Glomsr?<teg@redhat.com>
- 0.9

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun 20 2000 Jeff Johnson <jbj@redhat.com>
- rebuild to compress man pages.

* Mon Jun 19 2000 Matt Wilson <msw@redhat.com>
- defattr root

* Sun Jun 12 2000 Trond Eivind Glomsr?<teg@redhat.com>
- use %%{_mandir} and %%{_tmppath}

* Mon May 15 2000 Trond Eivind Glomsr?<teg@redhat.com>
- first build
